<template>
  <div id="app">
    <router-view/>
  </div>
</template>

<style lang="scss">
  #app {
    font-family: Avenir, Helvetica, Arial, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    text-align: center;
    color: #2c3e50;
    button {
      cursor: pointer;
      background-color: #fcc900;
      border: none;
      padding: 10px 20px;
      font-size: 16px;
      color: #fff;
    }
    button:focus {
      outline: none;
    }
    button:active {
      box-shadow: 0 8px 6px -6px #000;
    }
    button:hover{
      background-color: #ebaf4c;
    }
    .has-error {
      border: 1px solid red;
    }
    .error-msg {
      background-color: red;
      color: #fff;
      margin: 8px;
    }
    .mb-2 {
      margin-bottom: 16px;
    }
    .mt-2 {
      margin-top: 16px;
    }
    .ml-2 {
      margin-left: 16px;
    }
    .mr-2 {
      margin-right: 16px;
    }
    .pb-2 {
      padding-bottom: 16px;
    }
    .pt-2 {
      margin-top: 16px;
    }
    .pr-2 {
      padding-right: 16px;
    }
    .pl-2 {
      padding-left: 16px;
    }
  }

  #nav {
    padding: 30px;

    a {
      font-weight: bold;
      color: #2c3e50;

      &.router-link-exact-active {
        color: #42b983;
      }
    }
  }
</style>
